import java.util.HashMap;
import java.lang.Math; 

/**
 * Class models for Chemical Shift of Phosphorylated Residues in Shiftx
 * @author Beomsoo
 * @date August 21st, 2014
 */

public class PhosphoCS {

	public double delta1 = 0.0; 
	public double pKa    = 0.0; 
	public double delta2 = 0.0;  
		
	/**
	 * constructor.
	 */
	public PhosphoCS() {
		;
	}

	public PhosphoCS(double d1, double pKa, double d2) {
		this.delta1 = d1; 
		this.pKa    = pKa; 
		this.delta2 = d2;
	} 

	public String toString(){
		StringBuffer buf = new StringBuffer();
		
		buf.append(this.delta1 + "\t" + this.pKa + "\t" + this.delta2 + "\n");
		
		return buf.toString();
	}

}




